/*-------------------------------------------------------------------------
 Copyright 2009 Olivier Berlanger

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 -------------------------------------------------------------------------*/
package net.sf.sfac.string;


/**
 * Char iterator fetching chars from a simple string.
 */
public class StringCharIterator extends AbstractCharIterator {

    private String data;


    public StringCharIterator(String str) {
        data = str;
        reset();
    }


    public void setData(String str) {
        data = str;
        reset();
    }


    @Override
    protected String getFirstString() {
        return data;
    }


    @Override
    protected String getNextString() {
        setFinished();
        return null;
    }

}
